libunshield0-1.4.2-2.22.x86_64.rpm


Advertisement

Description

libunshield0 - A Program to Extract InstallShield Cabinet Files

Property Value
Distribution openSUSE Tumbleweed
Repository Education all
Package filename libunshield0-1.4.2-2.22.x86_64.rpm
Package name libunshield0
Package version 1.4.2
Package release 2.22
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage https://github.com/twogood/unshield
License MIT
Maintainer -
Download size 23.39 KB
Installed size 41.91 KB
Cabinet (.CAB) files are a form of archive, which is used by the
InstallShield installer software. The unshield program simply unpacks
such files. This is the shared library.

Alternatives

Package Version Architecture Repository
libunshield0-1.4.2-2.22.x86_64.rpm 1.4.2 x86_64 Wine
libunshield0-1.4.2-1.7.x86_64.rpm 1.4.2 x86_64 openSUSE Oss
libunshield0-1.4.2-1.7.i586.rpm 1.4.2 i586 openSUSE Oss
libunshield0 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.4)(64bit) -
libcrypto.so.1.1()(64bit) -
libcrypto.so.1.1(OPENSSL_1_1_0)(64bit) -
libz.so.1()(64bit) -

Provides

Name Value
libunshield.so.0()(64bit) -
libunshield0 = 1.4.2-2.22
libunshield0(x86-64) = 1.4.2-2.22

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libunshield0-1.4.2-2.22.x86_64.rpm
Source Package unshield-1.4.2-2.22.src.rpm

Install Howto

  1. Add the Education repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/Education/openSUSE_Tumbleweed/ education
  2. Install libunshield0 rpm package:
    # zypper install libunshield0

Files

Path
/usr/lib64/libunshield.so.0
/usr/lib64/libunshield.so.0.0.0

Changelog

2017-05-11 - mpluskal@suse.com
- Update to version 1.4.2:
* exit run-tests.sh with non-zero if there were failed tests
- Changes for 1.4.1:
* Security and distro fixes
- Changes for 1.4.0:
* Including fix for CVE-2015-1386 (boo#915181)
- Drop upstreamed patch:
* libconvert_utf_static.patch
- Some packaging cleanups
2016-06-07 - matwey.kornilov@gmail.com
- Add armv7l-fpic.patch: fix armv7l build issue:
convert_utf/libconvert_utf.a(ConvertUTF.c.o):
relocation R_ARM_MOVW_ABS_NC against `a local symbol' can not be
used when making a shared object
2015-07-06 - mpluskal@suse.com
- Update to 1.3
* move build system cmake
- Add libconvert_utf_static.patch
- Drop unnecessary patches
* unshield-zlib_test.patch
* unshield-0.6-allow_ruu_extract.patch
2015-03-13 - mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Use url for source
- Update dependencies
- Do not install .la file
2011-11-23 - coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
2011-08-03 - andrea@opensuse.org
- added unshield-0.6-allow_ruu_extract.patch to allow extraction
of some exe files like HTC RUUs
2011-01-05 - tejas.guruswamy@opensuse.org
- Fix provides/obsoletes for proper upgrade path
2010-05-02 - masterpatricko@gmail.com
- BuildRequires pkgconfig
2009-12-04 - masterpatricko@gmail.com
- Recreate zlib_test.patch to remove fuzz
2009-08-26 - mls@suse.de
- make patch0 usage consistent

See Also

Package Description
libyaz-devel-32bit-5.22.0-115.22.x86_64.rpm Z39
libyaz-devel-5.22.0-115.22.i586.rpm Z39
libyaz-devel-5.22.0-115.22.x86_64.rpm Z39
libyaz5-32bit-5.22.0-115.22.x86_64.rpm Z39
libyaz5-5.22.0-115.22.i586.rpm Z39
libyaz5-5.22.0-115.22.x86_64.rpm Z39
libzlui0_99-0.99.4-36.28.i586.rpm Qt5 interface module for ZLibrary
libzlui0_99-0.99.4-36.28.x86_64.rpm Qt5 interface module for ZLibrary
lilypond-2.18.2-16.20.i586.rpm A typesetting system for music notation
lilypond-2.18.2-16.20.x86_64.rpm A typesetting system for music notation
lilypond-century-schoolbook-l-fonts-2.18.2-16.20.noarch.rpm Lilypond Century Schoolbook L fonts
lilypond-emmentaler-fonts-2.18.2-16.20.noarch.rpm Lilypond emmentaler fonts
lilypond-fonts-common-2.18.2-16.20.noarch.rpm Lilypond fonts common dir
litetran-1.3+git20161111-11.14.i586.rpm A translator on Qt
litetran-1.3+git20161111-11.14.x86_64.rpm A translator on Qt
Advertisement
Advertisement